

LanguageDropDownArea = function(container, containingWindow, id){}

LanguageDropDownArea.prototype =
{
	OnLoad : function()
	{
		if (Manifest.AudioLanguages.length < 1)
		{
			this.Hide();
			return;
		}
		
		this.Show();

		var template = new SfMenu.MenuTemplate();
		template.CssPrefix = "LanguageSelectionMenu";
		template.LocationInfo = new SfMenu.LocationInfo(0, 0, 80, 19);
		template.SubMenuSizeInfo = new SfMenu.SizeInfo(150, 20);
		template.BaseBorderWidth = 0;
		template.BaseRightDivWidth = 16;
		template.LeftDivWidth = 16;
		var group = new SfMenu.LeafGroup();
		this.BaseMenuItem = new SfMenu.BaseMenuItem(this.Container + ".BaseMenuItem", Localization.Common.Language, template);
		
		for (var i=0; i<Manifest.AudioLanguages.length; ++i)
		{
			var func = new Function("", "mPlayer.PlayerAreaInstance.SetLanguage(" + Manifest.AudioLanguages[i].Id + ");");
			var leaf = this.BaseMenuItem.AddLeaf(Manifest.AudioLanguages[i].DisplayName, func);
			group.Add(leaf);
			if (i==0)
			{
				group.Select(leaf);
			}
		}

		this.BaseMenuItem.CollapseChildrenNow();
		this.GetDiv().appendChild(this.BaseMenuItem.RootDiv);
	}	
}


