
Type.registerNamespace('Localization');Localization.Common=function(){}
Localization.Buttons=function(){}
Localization.FullSize=function(){}
Localization.CurrentSlideResource=function(){}
Localization.LinksResource=function(){}
Localization.ThumbnailsResource=function(){}
Localization.LiveIndicatorResource=function(){}
Localization.PlayerLayoutResource=function(){}
Localization.PresentationCardResource=function(){}

Localization.Common.registerClass('Localization.Common');
Localization.Buttons.registerClass('Localization.Buttons');
Localization.FullSize.registerClass('Localization.FullSize');
Localization.CurrentSlideResource.registerClass('Localization.CurrentSlideResource');
Localization.LinksResource.registerClass('Localization.LinksResource');
Localization.ThumbnailsResource.registerClass('Localization.ThumbnailsResource');
Localization.PlayerLayoutResource.registerClass('Localization.PlayerLayoutResource');
Localization.PresentationCardResource.registerClass('Localization.PresentationCardResource');
Localization.LiveIndicatorResource.registerClass('Localization.LiveIndicatorResource');

Localization.Common.Slide = 'Slide';
Localization.Common.Of='of';
Localization.Common.PreviousSlide='Previous Slide';
Localization.Common.NextSlide='Next Slide';
Localization.Common.Language='Language';
Localization.Common.AudioTrack='Audio Track';
Localization.Common.Expand='Expand';
Localization.Common.Collapse='Collapse';
Localization.Common.SlideShow='Slide Show';
Localization.Common.SlideList='Slide List';
Localization.Buttons.ShowPolls='Show Polls';
Localization.Buttons.Ask='Ask a Question';
Localization.Buttons.Email='Share Presentation';
Localization.Buttons.Links='Presentation Links';
Localization.Buttons.PreviousSlide='Previous Slide';
Localization.Buttons.NextSlide='Next Slide';
Localization.Buttons.Close='Close this Window';
Localization.Buttons.FullScreen='Full Screen';
Localization.Buttons.Help='Help';
Localization.Buttons.MaxSlide='Show Original Size Slideshow';
Localization.Buttons.Polls='View Polls';
Localization.Buttons.Skipback='Skip Back';
Localization.Buttons.Stop='Stop';
Localization.Buttons.Mute='Mute';
Localization.Buttons.UnMute='Mute Off';
Localization.Buttons.Play='Play';
Localization.Buttons.Pause='Pause';
Localization.Buttons.CurrentSlide='Slide Image';
Localization.Buttons.Navigate='Navigate';
Localization.Buttons.ChangeVideoPosition = 'Change Video Position';
Localization.Buttons.PlayFaster = 'Play Faster';
Localization.Buttons.PlaySlower = 'Play Slower';
Localization.FullSize.AutoRefresh='AutoRefresh';
Localization.FullSize.PlayFromSlide='Play From This Slide';
Localization.FullSize.RefreshNow='Refresh Now';
Localization.CurrentSlideResource.SlideImage='Slide Image';
Localization.CurrentSlideResource.ShowFullSize='Show Original Size Slide Show';
Localization.CurrentSlideResource.ShowSlideMagnifier='Show Slide Magnifier';
Localization.CurrentSlideResource.HideSlideMagnifier='Hide Slide Magnifier';
Localization.CurrentSlideResource.PresentationHasEnded='This presentation has ended';
Localization.LinksResource.PresentationLinks='Presentation Links';
Localization.LinksResource.Close='Close';
Localization.ThumbnailsResource.Thumbnails='Thumbnails';
Localization.ThumbnailsResource.SlideList='Slide List';
Localization.ThumbnailsResource.SmallThumbnails='Small Thumbnails';
Localization.ThumbnailsResource.LargeThumbnails='Large Thumbnails';
Localization.ThumbnailsResource.Chapters='Chapters';
Localization.ThumbnailsResource.Options='Thumbnail Options';
Localization.ThumbnailsResource.PreviewSlide='Preview this slide';
Localization.ThumbnailsResource.PlayFromSlide='Play from this slide';
Localization.ThumbnailsResource.ExpandSlides='Click to Expand Slide Group';
Localization.ThumbnailsResource.CollapseSlides='Click to Collapse Slide Group';
Localization.ThumbnailsResource.Page='Page';
Localization.ThumbnailsResource.Of='of';
Localization.ThumbnailsResource.Previous='Previous';
Localization.ThumbnailsResource.Next='Next';
Localization.PlayerLayoutResource.AudioOnly ='Audio-only Presentation';
Localization.PlayerLayoutResource.NotStarted = 'The presentation has not started';
Localization.PlayerLayoutResource.ShowCaptioning = 'Show Captioning';
Localization.PlayerLayoutResource.HideCaptioning = 'Hide Captioning';
Localization.LiveIndicatorResource.LiveTooltip='Live Broadcast';
Localization.LiveIndicatorResource.ReplayTooltip='Previously Recorded';
Localization.LiveIndicatorResource.PausedTooltip='Recording is Paused';
Localization.MediaPlayer=function(){}
Localization.MediaPlayer.registerClass('Localization.MediaPlayer');
Localization.MediaPlayer.GeneralError = 'An error occurred while attempting to play the media for this presentation.';
Localization.MediaPlayer.FileNotFoundError='The media file for this presentation could not be found.';
Localization.MediaPlayer.ServerConnectionError = 'Unable to connect to the media server. Reloading the presentation may resolve this problem.';
Localization.MediaPlayer.ServerNotAvailable = 'Unable to play the presentation due to a media server error.  Reloading the presentation may resolve this problem.';
Localization.MediaPlayer.SilverlightNetworkError='Unable to play the presentation. The media server may not be available or the media stream format may not be supported.';
Localization.MediaPlayer.SilverlightSetValueError = 'Unable to set the following value for this presentation: ';
Localization.MediaPlayer.SilverlightFullScreenPrompt = 'Click for full-screen mode';
Localization.MediaPlayer.ClipEnded='(Clip Ended)';
Localization.MediaPlayer.State=function(){}
Localization.MediaPlayer.State.registerClass('Localization.MediaPlayer.State');
Localization.MediaPlayer.State.Undefined='Undefined State';
Localization.MediaPlayer.State.Stopped='Stopped';
Localization.MediaPlayer.State.Paused='Paused';
Localization.MediaPlayer.State.Playing='Playing';
Localization.MediaPlayer.State.ScanForward='Fast Forward';
Localization.MediaPlayer.State.ScanReverse='Rewind';
Localization.MediaPlayer.State.Buffering='Buffering';
Localization.MediaPlayer.State.Waiting='Waiting';
Localization.MediaPlayer.State.MediaEnded='Media Ended';
Localization.MediaPlayer.State.Transitioning='Transitioning';
Localization.MediaPlayer.State.Ready='Ready';
Localization.MediaPlayer.State.Reconnecting='Reconnecting';
Localization.MediaPlayer.State.Closed='Closed';
Localization.MediaPlayer.State.Error='Error';
Localization.MediaPlayer.State.Opening='Opening';
Localization.MediaPlayer.State.Unknown='Unknown State';
Localization.SubmitQuestionSuccess = 'Your question has been sent.';
Localization.SubmitQuestionFailure = 'There was a problem sending your question.  Please try again.';
Localization.EmailInviteInvalid = 'One of the email addresses you entered appears to be invalid.<br />Please check them and try again.';
Localization.ForumEmailInvalid = 'The email addresses you entered appears to be invalid';
Localization.ForumNameRequired = 'Enter your name';
Localization.ForumQuestionRequired = 'Enter a question for the presenter';
Localization.ForumSubjectRequired = 'Enter a subject for your question';
Localization.ForumErrorMessage = 'Please correct the following errors:';
Localization.ForumQuestionTimeError = 'Enter a valid time in the presentation';
Localization.PresentationCardResource.Presenters = 'Presenter(s):';
Localization.PresentationCardResource.Description = 'Description:';
Localization.PresentationCardResource.AirDate = 'Date:';
Localization.PresentationCardResource.AirTime =  'Time:';
Localization.PresentationCardResource.Duration =  'Length:';
Localization.PresentationCardResource.DefaultTitle =  'Mediasite Presentation';
Localization.PresentationCardResource.DefaultDescription =  'Presentation Description';
Localization.PresentationCardResource.More =  'More...';

