
PreviewSlidePanel = function(container, containingWindow, id)
{
    this.ID = id;
    this.Container = container;
    this.ContainingWindow = containingWindow;
    	
	this.ChangeImage = function(imageSrc)
	{
	    if(this.ContainingWindow.opener.Manifest.IsStandAlone)
	    {
		    this.ImageUpdater.ChangeImage("../"+imageSrc);
	    }
	    else
	    {
	        this.ImageUpdater.ChangeImage(imageSrc);    
	    }
		
	}
	
	this.OnLoad = function()
	{
		this.InitializeImageUpdater();
		this.LoadPreviewImage();
	}
		
	this.InitializeImageUpdater = function()
	{
		var imageElement = this.GetCurrentImage();
		if (imageElement == null)
		{
			return;
		}

		this.ImageUpdater = new SfImage.ImageUpdater(
			this.Container + ".ImageUpdater", 			
			imageElement,
			0,
			0,
			0,
			0);
			
	}
	
	this.LoadPreviewImage = function()
	{
		var mainPlayer = this.ImageUpdater.GetMainPlayer();
		if (!mainPlayer)
		{
			Sys.Debug.trace('Could not find Mediasite Player');
		}
				
		this.ChangeImage(mainPlayer.CurrentPreviewImage);
	}
	
	this.GetCurrentImage = function()
	{
		var image = document.getElementById("PreviewImage");
		return image;
	}
}

var PreviewSlideAreaInstance = new PreviewSlidePanel("PreviewSlideAreaInstance", window, "PreviewSlideArea");
Sys.Application.add_load(Function.createDelegate(PreviewSlideAreaInstance, PreviewSlideAreaInstance.OnLoad));