
SamiDropDownPanel = function(container, containingWindow, id)
{
    SamiDropDownPanel.initializeBase(this, [container, containingWindow, id]);
    this.ID = id;
    this.Container = container;
    
	this.IsClosedCaptioningVisible = false;
	this.ShowCaptioningText = Localization.PlayerLayoutResource.ShowCaptioning;
	this.HideCaptioningText = Localization.PlayerLayoutResource.HideCaptioning;
	
	this.OnLoad = function()
	{
		if (this.Enabled == false)
		{
			this.Hide();
			return;
		}

		this.Show();

		this.ToggleA = SfDOM.FindElementFromID(document, this.ID + "Toggle");
		
	    if(document.all)
		{
            this.ToggleA.innerText = this.ShowCaptioningText;
        } 
        else
        {            
            this.ToggleA.textContent = this.ShowCaptioningText;
        }  
	
		
		this.CaptioningContainer = SfDOM.FindElementFromID(document, this.ID + "Container");
		this.ToggleA.onclick = new Function("", this.Container + ".ToggleClosedCaptioning();");
	}
	
	this.OnUnLoad = function()
	{
	}

	this.ToggleClosedCaptioning = function() 
	{
		if ( this.IsClosedCaptioningVisible ) 
		{
			this.CaptioningContainer.style.height = '0px';
			
			if(document.all)
			{
                this.ToggleA.innerText = this.ShowCaptioningText;
            } 
            else
            {            
                this.ToggleA.textContent = this.ShowCaptioningText;
            }                       
		} 
		else 
		{
			this.CaptioningContainer.style.height = '';
			if(document.all)
			{
                this.ToggleA.innerText = this.HideCaptioningText;
            } 
            else
            {            
                this.ToggleA.textContent = this.HideCaptioningText;
            }                       

		}

		this.IsClosedCaptioningVisible = !this.IsClosedCaptioningVisible;
	}
}
SamiDropDownPanel.registerClass('SamiDropDownPanel', Areas.AreaBase);
